class String
  # munge each string
  def runge_string
    # don't mutate short strings
    if length == 1 || length == 2
      self
    # don't mutate integers
    elsif to_i > 0
      self
    # munge each string
    else
      split('').each_with_index { |x, i| x.succ! if i.odd? }.join
    end
  end

  def runge
    split(/(\W)/).map(&:runge_string).join
  end
end
